Bug 109009 - XScreenSaver hangs sometimes when coming back from suspend
Summary: XScreenSaver hangs sometimes when coming back from suspend
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-04 10:46 UTC by Richard Torkar
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 23:23:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from strace -p when xscreensaver hung (59.37 KB, text/plain)
2003-11-14 16:50 UTC, Richard Torkar
no flags Details

Description Richard Torkar 2003-11-04 10:46:03 UTC
Description of problem:
<worst bug report ever...>
When suspending my laptop, and then resuming it, xscreensaver hangs
sometimes. This did not happen with rh9.

I'm using apm and _not_ acpi.

Version-Release number of selected component (if applicable):
xscreensaver-4.14-1

How reproducible:
Sometimes...

Steps to Reproduce:
1. Suspend computer
2. Wake up computer
3. Sometimes xscreensaver hangs, and the CPU usage peaks...
    

Additional info:
I added this bug only as a reminder to self. When I have more info and
can easily reproduce it I'll add stuff to this bug report.
I know there isn't enough info to fix this bug, yet...

Comment 1 Bill Nottingham 2003-11-04 14:35:51 UTC
Is xscreensaver itself hanging, or some other part of the system?

If it's xscreensaver, what is it doing if you strace it?

Comment 2 Richard Torkar 2003-11-04 15:17:57 UTC
Sorry I wasn't clear enough.

Yes, it's xscreensaver that is hanging, thus spiking CPU power.

How can I strace an already running program?
Or do you mean that I should strace it constantly and hope that one
day it will hang? This happens on an uncertain basis.

I'll try to reproduce it, and if I'm able to do that then I'll strace
it :)

Comment 3 Bill Nottingham 2003-11-04 15:19:42 UTC
strace -p <pid of xscreensaver>

Comment 4 Richard Torkar 2003-11-04 15:29:38 UTC
Consider it done Bill. Next time this sucker hangs I'll strace it :)

Comment 5 Richard Torkar 2003-11-08 16:57:54 UTC
Hmm, I haven't been able to reproduce this bug.
I'll close it now as NOTABUG and return to it _if_ it actually is a bug...

Comment 6 Richard Torkar 2003-11-14 16:50:30 UTC
Created attachment 95974 [details]
Output from strace -p when xscreensaver hung

Comment 7 Bill Nottingham 2003-11-14 16:58:57 UTC
Hm, ok, that's not particularly obvious what it's doing. Perhaps a gdb
backtrace with the xscreensaver-debuginfo package installed might help
more.

Comment 8 Richard Torkar 2003-11-14 19:26:43 UTC
I will do a "gdb program pid" according to gdb man page, next time it
happens (I installed the debuginfo package now).

Btw, as you saw Bill, it took 10 days before it happened, and I use my
laptop 14 hours a day every day...


Comment 9 Warren Togami 2004-11-27 23:23:21 UTC
Closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.